Index: apps/app_page.c
===================================================================
--- apps/app_page.c	(revision 107690)
+++ apps/app_page.c	(working copy)
@@ -124,9 +124,14 @@
 		}
 
 		/* Ensure device is not in use if skip option is enabled */
-		if (ast_test_flag(&flags, PAGE_SKIP) && (state = ast_device_state(tech)) != AST_DEVICE_NOT_INUSE) {
-			ast_log(LOG_WARNING, "Destination '%s' has device state '%s'.\n", tech, devstate2str(state));
-			continue;
+		if (ast_test_flag(&flags, PAGE_SKIP)) {
+			state = ast_device_state(tech);
+			if (state == AST_DEVICE_UNKNOWN) {
+				ast_log(LOG_WARNING, "Destination '%s' has device state '%s'. Paging anyway.\n", tech, devstate2str(state));
+			} else if (state != AST_DEVICE_NOT_INUSE) {
+				ast_log(LOG_WARNING, "Destination '%s' has device state '%s'.\n", tech, devstate2str(state));
+				continue;
+			}
 		}
 
 		*resource++ = '\0';
